Subject: Re: Allowing non-quoted "." and "," in display-name?
From: [email-masked]
To: Jacob Palme <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Nov 2005 10:12:37 -0800 (PST)
List-Id: <ietf-822.imc.org>

> I just received an e-mail which had the following headers (excerpted):

>      Received: from SELDMSX01.corpusers.net ([10.129.0.161]) by
>          seldcon01.corpusers.net with Microsoft SMTPSVC(6.0.3790.1830);
>          Tue, 29 Nov 2005 10:14:09 +0100
>      X-MimeOLE: Produced By Microsoft Exchange V6.5.7226.0
>      ...
>      From: =?iso-8859-1?Q?H=E4ggstr=F6m=2C_Daniel?=
>          <[email-masked]>

> After MIME decoding, the From: field of this e-mail looks like this:

>      From: Häggström, Daniel <[email-masked]>

> This causes my mail program (Macintosh Eudora) to go wild,
> believing that "Höggström" and "Daniel" are two different
> people and trying to send my reply to both of them.

This is a bug in Eudora IMO and needs to be treated as such.

> The way I understand it from RFC 2822, it is the sending mail program
> (Microsoft Exchange V6.5.7226.0) which is faulty, since the
> From: field should have been:

>      From: "Häggström, Daniel" <[email-masked]>

Your understanding is incorrect. RFC 2822 doesn't deal with encoded words; they
are done as a layer on top of RFC 2822. The string RFC 2822 saw was
=?iso-8859-1?Q?H=E4ggstr=F6m=2C_Daniel?=, which is syntactically legal without
quotes. This means that Exchange has no reason to add quotes, and indeed should
be commended for not doing so given all the problems unnecessary quotes cause.

The way this is supposed to work is that the encoded words are decoded for
display only. The content of encoded words doesn't have to be syntactically
valid by RFC 2822 rules.

> RFC 2822 allows "." without quotes as "obs-phrase" i.e. something
> you should receive but not produce. Is "," also going to be
> accepted without quotes in the future?

Not a chance. It would make the grammar much more difficult to parse. ("." is
plenty bad enough.)

				Ned

Date: Wed, 30 Nov 2005 18:51:23 +0100
To: [email-masked]
From: Jacob Palme <[email-masked]>
Subject: Allowing non-quoted "." and "," in display-name?
Sender: [email-masked]

I just received an e-mail which had the following headers (excerpted):

     Received: from SELDMSX01.corpusers.net ([10.129.0.161]) by
         seldcon01.corpusers.net with Microsoft SMTPSVC(6.0.3790.1830);
         Tue, 29 Nov 2005 10:14:09 +0100
     X-MimeOLE: Produced By Microsoft Exchange V6.5.7226.0
     ...
     From: =?iso-8859-1?Q?H=E4ggstr=F6m=2C_Daniel?=
         <[email-masked]>

After MIME decoding, the From: field of this e-mail looks like this:

     From: Häggström, Daniel <[email-masked]>

This causes my mail program (Macintosh Eudora) to go wild,
believing that "Höggström" and "Daniel" are two different
people and trying to send my reply to both of them.

The way I understand it from RFC 2822, it is the sending mail program
(Microsoft Exchange V6.5.7226.0) which is faulty, since the
From: field should have been:

     From: "Häggström, Daniel" <[email-masked]>

RFC 2822 allows "." without quotes as "obs-phrase" i.e. something
you should receive but not produce. Is "," also going to be
accepted without quotes in the future?
-- 
Professor Jacob Palme <[email-masked]> (Stockholm University and KTH)
for more info see URL: http://www.dsv.su.se/jpalme/

To: [email-masked]
From: Frank Ellermann <[email-masked]>
Subject:  OT: IMA (IEE BoF) jabber log
Date:  Fri, 11 Nov 2005 06:10:53 +0100
Organization:  <URL:http://purl.net/xyzzy>
Lines: 41
Cc: [email-masked]
Sender: [email-masked]

FYI, the IEE BoF jabber log is available at:
http://www.xmpp.org/ietf-logs/[email-masked]/2005-11-10.html

Mailing list now also available at GMaNe (NNTP, RSS, search):
http://dir.gmane.org/gmane.ietf.ima

The project URL (until IEE is a WG) is apparently:
http://www.alvestrand.no/ietf/iee-bof/

Interesting snippets from the jabber log (thanks to Lisa):

[15:57:15] <lisa> Harald: There's a not-widely implemented
                          standard for tagging language of
                          email headers (RFC2231)

{16:04:42] <cyrus_daboo>  MUAs are important. There are still
                          many MUAs in use today that do not
                          support utf8 even in the message
                          body. So I agree with Chris.

[16:24:39] <cyrus_daboo>  PS If its not already on the list of
                          things to 'fix': the mailto URI
                          scheme will need some work too.

[16:29:36] <lisa> Keith:  There are multiple ways to fail, and
                          fragmenting the email system is one.
                          People to have to manually manage
                          their technology based on who they're
                          talking to is another. They're both
                          bad, both need to be avoided.

[16:34:24] <lisa> Keith:  If you don't have enough MUA
                          implementors in the room it's hard to
                          know if what you're doing is realistic.
[16:34:38] <lisa> Harald: Mailing list is [email-masked].
[16:35:25] <lisa> Harald: The group will continue work on the
                          charter on the mailing list, find a
                          chair, all the usual stuff, and will
                          then continue the conversation with
                          our area director.

Date: Thu, 10 Nov 2005 00:19:22 -0800
From: Dave Crocker <[email-masked]>
Reply-To: [email-masked]
Organization: Brandenburg InternetWorking
To: Arnt Gulbrandsen <[email-masked]>
CC: [email-masked]
Subject: Re: content-type parameter "reply-type"
Sender: [email-masked]

> Content-Type: text/plain; format=flowed; charset=iso-8859-1; 
> reply-type=original

Interesting.

"original" suggests all sorts of other values that might be defined...

reply-type=repeat

or

reply-type=unkind

or

reply-type=unresponsive

or

...

d/

-- 

Dave Crocker
Brandenburg InternetWorking
<http://bbiw.net>

Date: Tue, 1 Nov 2005 14:52:56 +0100
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: content-type parameter "reply-type"
Sender: [email-masked]

I don't know any reference for this parameter. Here's one I saw yesterday:

Content-Type: text/plain; format=flowed; charset=iso-8859-1; 
reply-type=original

Is this specified anywhere (in an RFC, draft or elsewhere)?

Arnt

To: [email-masked]
From: Frank Ellermann <[email-masked]>
Subject:  draft-duerst-archived-at-04 (was: New Internet Draft: draft-duerst-archived-at-03.txt)
Date:  Tue, 01 Nov 2005 14:14:22 +0100
Organization:  <URL:http://purl.net/xyzzy>
Lines: 31
Cc: Martin Duerst <[email-masked]>
Sender: [email-masked]

There's now a new draft-duerst-archived-at-04.
The change log says:

| 9.1.  Changes from -03.txt to -04.txt
|       Updated from RFC 2234 to RFC 4234.
|       Updated author's address/affiliation.

That doesn't address the comments posted here (= on the
rfc822 list) almost six months ago in:

<URL:http://mid.gmane.org/[email-masked]>

So there's still a problem with folding excessively long
URLs, and the ABNF is still incorrect.

Minor nits:  Apparently "something eats" many empty lines
separating paragraphs and headers.  The IANA header field
registration form still says archived-at-02.  The new URI
in the author's address is apparently an IRI... </joke>

"Implementation report" (for a DS later):  GMaNe now also
implements Archived-At, for an example compare

<http://article.gmane.org/gmane.org.w3c.uri/684/raw> with
the URL <http://permalink.gmane.org/gmane.org.w3c.uri/684>.

                          Bye, Frank

(posted in <ietf-822.imc.org>)